# fileReference

open fun fileReference(reference: Any): FileReference

Creates a new FileReference instance.

The created object can be used to configure custom source or javadoc location on Library and on Variable objects.

This method can receive either String or File instances.

#### Return

The new file reference.

#### Parameters

reference

The object to transform into a new file reference. Can be instance of File or String.

#### See also

AbstractLibrary